## ffmpeg 7.1

=== debian/changelog ===
ffmpeg (7:7.1-3ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 17:49:59 +0100

ffmpeg (7:7.1-3) unstable; urgency=medium

  [ Diederik de Haas ]
  * d/copyright: Update for removed and moved files

  [ Sebastian Ramacher ]
  * debian/rules: Disable asm on riscv64
    See https://trac.ffmpeg.org/ticket/11258 for details

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Oct 2024 18:31:51 +0100

ffmpeg (7:7.1-2) experimental; urgency=medium

  * debian/patches: Apply patches from upstream and skip tests using
    non-existing pmtchange.ts
  * debian/*.symbols:
    - Remove dropped internal symbol
    - Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Oct 2024 16:03:45 +0200

ffmpeg (7:7.1-1) experimental; urgency=medium

  * New upstream version 7.1
  * debian/patches: Remove patches from upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Oct 2024 17:18:27 +0200
