## ffmpeg 7.1.0

=== debian/changelog ===
ffmpeg (7:7.1.0-1ppa1~noble4) noble; urgency=medium

  * debian/control: Bump libvpl-dev dependency version

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Fri, 18 Jul 2025 20:34:25 +0800

ffmpeg (7:7.1.0-1ppa1~noble3) noble; urgency=medium

  *  d/patches: enable screen content tool encode for AV1
     - 0001-libavcodec-qsvenc-enable-Screen-Content-Tool-Encode-.patch

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Tue, 26 Nov 2024 14:01:20 +0800

ffmpeg (7:7.1.0-1ppa1~noble2) noble; urgency=medium

  *  d/patches: revert commit id 578ac59887 causing issue
     - 0001-Revert-lavfi-qsv-Copy-metadata-fields-from-the-given.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 17 Apr 2025 15:04:42 +0800

ffmpeg (7:7.1.0-1ppa1~noble1) noble; urgency=medium

  * new upstream version 7.1.0
  * d/patches: drop list of patches already upstream
    - 0001-avcodec-qsv-Use-RefStruct-API-for-memory-id-mids-arr.patch
    - 0002-lavu-hwcontext_qsv-update-AVQSVFramesContext-to-supp.patch
    - 0003-lavu-hwcontext_qsv-create-dynamic-frame-pool-if-requ.patch
    - 0004-lavu-hwcontext_qsv-add-support-for-dynamic-frame-poo.patch
    - 0005-lavu-hwcontext_qsv-add-support-for-dynamic-frame-poo.patch
    - 0006-lavc-qsv-fix-the-mfx-allocator-to-support-dynamic-fr.patch
    - 0007-lavc-qsvenc-use-the-right-info-for-encoding.patch
    - 0008-lavc-qsvdec-require-a-dynamic-frame-pool-if-possible.patch
    - 0009-lavfi-qsvvpp-use-the-right-mfxFrameInfo-when-dynamic.patch
    - 0010-lavfi-qsvvpp-require-a-dynamic-frame-pool-for-output.patch
    - 0011-lavu-hwcontext_vaapi-Add-option-to-allow-to-specify-.patch
    - 0012-lavu-hwcontext_qsv-Use-vendor-id-to-create-device.patch
    - 0013-lavc-qsv-Use-vendor-id-to-create-device.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Wed, 19 Mar 2025 16:28:06 +0800

ffmpeg (7:7.0.2-1ppa1~noble2) noble; urgency=medium
  * d/patches: fix XE initialize
    - 0011-lavu-hwcontext_vaapi-Add-option-to-allow-to-specify-.patch
    - 0012-lavu-hwcontext_qsv-Use-vendor-id-to-create-device.patch
    - 0013-lavc-qsv-Use-vendor-id-to-create-device.patch

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Tue, 26 Nov 2024 14:01:20 +0800

ffmpeg (7:7.0.2-1ppa1~noble1) noble; urgency=medium

  * New upstream version 7.0.2
  * d/patches: drop patches already merged.
    - 0001-avcodec-mpegvideo_enc-Fix-1-line-and-one-column-imag.patch
    - 0001-avcodec-ppc-h264dsp-Fix-left-shifts-of-negative-numb.patch
    - 0002-avcodec-lossless_videoencdsp-Don-t-presume-alignment.patch
    - 0003-avcodec-wavpack-Fix-leak-and-segfault-on-reallocatio.patch
    - 0004-fate-ffmpeg-Avoid-dependency-on-samples.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Wed, 28 Aug 2024 08:17:02 +0800

ffmpeg (7:7.0-1ppa1~noble3) noble; urgency=medium

  * d/patches: fixed CVE-2024-32230
    - 0001-avcodec-mpegvideo_enc-Fix-1-line-and-one-column-imag.patch

 -- Lim Siew Hoon <siew.hoon.lim@intel.com>  Mon, 26 Aug 2024 13:18:24 +0800

ffmpeg (7:7.0-1ppa1~noble2) noble; urgency=medium

  * d/patches: fixed fail run qsv transcode
    - 0001-avcodec-qsv-Use-RefStruct-API-for-memory-id-mids-arr.patch
    - 0002-lavu-hwcontext_qsv-update-AVQSVFramesContext-to-supp.patch
    - 0003-lavu-hwcontext_qsv-create-dynamic-frame-pool-if-requ.patch
    - 0004-lavu-hwcontext_qsv-add-support-for-dynamic-frame-poo.patch
    - 0005-lavu-hwcontext_qsv-add-support-for-dynamic-frame-poo.patch
    - 0006-lavc-qsv-fix-the-mfx-allocator-to-support-dynamic-fr.patch
    - 0007-lavc-qsvenc-use-the-right-info-for-encoding.patch
    - 0008-lavc-qsvdec-require-a-dynamic-frame-pool-if-possible.patch
    - 0009-lavfi-qsvvpp-use-the-right-mfxFrameInfo-when-dynamic.patch
    - 0010-lavfi-qsvvpp-require-a-dynamic-frame-pool-for-output.patch

 -- Lim Siew Hoon <siew.hoon.lim@intel.com>  Tue, 11 Jun 2024 12:32:57 +0800

ffmpeg (7:7.0-1ppa1~noble1) noble; urgency=medium

  * New upstream version 7.0
  * d/patches: drop list of patches no longer needed that use for GVP.
    - 0001-libavfilter-vf_overlay_qsv-Enable-N-input-overlay-wi.patch
    - 0001-libavformat-rtsp-exposed-TLS-args-for-RTSPS.patch
  * d/patches: already merged
    - 0001-lavf-rtpenc_jpeg-Retrieve-sampling-factor-from-SOF0.patch
  * d/patches: rebased patches
    - 0001-fftools-ffmpeg_mux-Use-same-thread-write_header-writ.patch
  * SONAME bumps:
    - libavcodec60 -> libavcodec61
    - libavdevice60 -> libavdevice61
    - libavfilter9 -> libavfilter10
    - libavformat60 -> libavformat61
    - libavutil58 -> libavutil59
    - libpostproc57 -> libpostproc58
    - libswresample4 -> libswresample5
    - libswscale7 -> libswscale8

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Fri, 26 Apr 2024 17:09:55 +0800

ffmpeg (7:6.0-1ppa1~jammy2) jammy; urgency=medium

  * debian/patches: Use same thread write_header/write_packet

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Tue, 05 Dec 2024 15:09:24 +0800

ffmpeg (7:6.0-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 6.0
  * debian/patches: drop list of patches already merged and rebased patches.
  * SONAME bumps
    - libavcodec59 -> libavcodec60
    - libavdevice59 -> libavdevice60
    - libavfilter8 -> libavfilter9
    - libavformat59 -> libavformat60
    - libavutil57 -> libavutil58
    - libpostproc56 -> libpostproc57
    - libswscale6 -> libswscale7
  * debian/copyright:
    - Update copyright years
    - Update file paths
  * debian/control: Remove lbgl1-mesa-dev from Build-Depends

 -- Lim Siew Hoon <siew.hoon.lim@intel.com>  Tue, 13 Jun 2023 10:54:07 +0800

ffmpeg (7:5.1-1ppa1~jammy9) jammy; urgency=medium

  * debian/patches: add av1_qsv encoder

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Fri, 07 Apr 2023 18:31:35 +0800

ffmpeg (7:5.1-1ppa1~jammy8) jammy; urgency=medium

  * debian/patches: Updated stack filters with addtional patches

 -- Prathaban, Thinesh <thinesh.prathaban@intel.com>  Tue, 21 Feb 2023 16:50:17 +0800


