=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Sebastian Ramacher <sramacher@debian.org>,
 Rules-Requires-Root: no
 Homepage: https://ffmpeg.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpeg.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpeg
 Build-Depends-Indep:
@@ -88,7 +88,7 @@
 # --enable-libjack
  libjack-jackd2-dev <!pkg.ffmpeg.stage1>,
 # --enable-libjxl
- libjxl-dev [!alpha !i386] <!pkg.ffmpeg.stage1>,
+ libjxl-dev [!alpha] <!pkg.ffmpeg.stage1>,
 # --enable-lv2
  liblilv-dev <!pkg.ffmpeg.stage1>,
 # autodetected for the tiff decoder
@@ -112,13 +112,13 @@
 # --enable-libplacebo
  libplacebo-dev (>= 4.192) [linux-any] <!pkg.ffmpeg.stage1>,
 # --enable-pocketsphinx
- libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!alpha !hppa !i386 !ia64 !m68k !mips64el !powerpc !ppc64 !s390x !sparc64] <!pkg.ffmpeg.stage1>,
+ libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!alpha !hppa !ia64 !m68k !mips64el !powerpc !ppc64 !s390x !sparc64] <!pkg.ffmpeg.stage1>,
 # --enable-libpulse
  libpulse-dev <!pkg.ffmpeg.stage1>,
 # --enable-librabbitmq
  librabbitmq-dev <!pkg.ffmpeg.stage1>,
 # --enable-librav1e
- librav1e-dev [!alpha !hppa !hurd-i386 !i386 !ia64 !m68k !sh4 !sparc64 !x32] <!pkg.ffmpeg.stage1>,
+ librav1e-dev [!alpha !hppa !hurd-i386 !ia64 !m68k !sh4 !sparc64 !x32] <!pkg.ffmpeg.stage1>,
 # --enable-librist
  librist-dev <!pkg.ffmpeg.stage1>,
 # --enable-librubberband
@@ -165,7 +165,7 @@
 # --enable-libvorbis
  libvorbis-dev,
 # --enable-libvpl
- libvpl-dev [amd64],
+ libvpl-dev (>=1:2.14.0-1ppa1~noble1) [amd64],
 # --enable-libvpx
  libvpx-dev,
 # autodetected: vulkan
@@ -203,8 +203,7 @@
 # assembler optimizations
  nasm,
 # autodetected zlib
- zlib1g-dev,
- gcc-13 [s390x], g++-13 [s390x]
+ zlib1g-dev
 
 Package: ffmpeg
 Architecture: any
@@ -232,7 +231,7 @@
 Multi-Arch: foreign
 Depends:
  libjs-jquery,
- libjs-bootstrap,
+ libjs-bootstrap5,
  ${misc:Depends}
 Description: Documentation of the FFmpeg multimedia framework
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
@@ -370,3 +369,4 @@
  This library provides a generic framework for grabbing from and rendering to
  many common multimedia input/output devices, and supports several input and
  output devices, including Video4Linux2, VfW, DShow, and ALSA.
+ .
