=== debian/changelog ===
ffmpeg (7:7.1.1-1ubuntu4) questing; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow in AAC Encoder
    - debian/patches/CVE-2025-1594.patch: aacenc_tns: clamp filter
      direction energy measurement
    - CVE-2025-1594

 -- John Breton <john.breton@canonical.com>  Wed, 03 Sep 2025 11:40:56 -0400

ffmpeg (7:7.1.1-1ubuntu3) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 11:22:25 +0000

ffmpeg (7:7.1.1-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:17:23 +0200

ffmpeg (7:7.1.1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Mar 2025 07:33:39 +0100

ffmpeg (7:7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
    - Fix out-of-bounds read (CVE-2025-0518)
  * debian/control: Bump Standards-Version
  * debian/patches: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 08 Mar 2025 10:34:57 +0100

ffmpeg (7:7.1-4ubuntu2) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Feb 2025 07:57:19 +0100

ffmpeg (7:7.1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Feb 2025 09:29:53 +0100

ffmpeg (7:7.1-4) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * Move build-dependency from libjs-bootstrap to libjs-bootstrap5
    (Closes: #1088454)

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 21 Feb 2025 13:16:27 +0100

ffmpeg (7:7.1-3ubuntu3) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:43:09 -0500

ffmpeg (7:7.1-3ubuntu2) plucky; urgency=medium

  * No-change rebuild for x265.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 23 Jan 2025 12:20:05 +0000
