=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,6 @@
 
 # sets DEB_HOST_* variables
 include /usr/share/dpkg/architecture.mk
-
-ifeq (s390x,$(DEB_HOST_ARCH))
-	export CC=gcc-13
-	export CXX=g++-13
-endif
 
 # Ubuntu ld adds -Bsymbolic-functions by default, but that prevents FFmpeg from building.
 export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
@@ -284,3 +279,4 @@
 
 # Create doxygen documentation:
 override_dh_auto_build-indep:
+	dh_auto_build -i --sourcedirectory=debian/standard -- apidoc documentation
